module.exports = {
  root: true,
  env: {
    browser: true,
    es2021: true,
  },
  plugins: ['solid'],
  extends: ['eslint:recommended', 'plugin:solid/recommended'],
  overrides: [
    {
      env: {
        node: true,
      },
      files: ['.eslintrc.{js,cjs}'],
      parserOptions: {
        sourceType: 'script',
      },
    },
  ],
  ignorePatterns: ['dist', '.eslintrc.cjs'],
  parserOptions: {
    ecmaVersion: 'latest',
    sourceType: 'module',
  },
  rules: {
    indent: ['warn', 2],
    quotes: ['error', 'single'],
    semi: ['error', 'never'],
    'max-lines-per-function': [1, 1000],
    'no-unused-vars': ['warn'],
  },
}
